
From: NeilBrown <neilb@cse.unsw.edu.au>

In md, there are "level" number and "personality" numbers.  LEVEL_MULTIPATH
is the level number for multipath.  MULTIPATH is the personality number for
multipath.

In one place, we compare the level with a personality ...  bad

This makes it impossible to assemble multipath arrays.

Signed-off-by: Neil Brown <neilb@cse.unsw.edu.au>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/md/md.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/md/md.c~md-fix-multipath-assembly-bug drivers/md/md.c
--- 25/drivers/md/md.c~md-fix-multipath-assembly-bug	Wed Feb  9 15:15:45 2005
+++ 25-akpm/drivers/md/md.c	Wed Feb  9 15:15:45 2005
@@ -570,7 +570,7 @@ static int super_90_load(mdk_rdev_t *rde
 	rdev->preferred_minor = sb->md_minor;
 	rdev->data_offset = 0;
 
-	if (sb->level == MULTIPATH)
+	if (sb->level == LEVEL_MULTIPATH)
 		rdev->desc_nr = -1;
 	else
 		rdev->desc_nr = sb->this_disk.number;
_
